% D{\'e}finition des fontes utilis{\'e}es dans Carnot.Mac
% Format concrete anglais
% Michel Quercia le 21/07/96

%-----------------------------------------------------------------------------
% The following allows the use of Ralph Smith's Formal Script symbols
% in Plain TeX documents.  Use \scr like \cal.
% Set the font sizes and restore the `at' clauses if you want them bigger.
% You can use this method in LaTeX, but only at one basic size.
% If you need symbols in LaTeX titles, captions, etc., work it out or ask
% a LaTeXpert.

\font\tenscr=rsfs10 % scaled \magstep1
\font\sevenscr=rsfs7 % scaled \magstep1
\font\fivescr=rsfs5 % scaled \magstep1
\skewchar\tenscr='177 \skewchar\sevenscr='177 \skewchar\fivescr='177
\newfam\scrfam \textfont\scrfam=\tenscr \scriptfont\scrfam=\sevenscr
\scriptscriptfont\scrfam=\fivescr
\def\cal{\fam\scrfam}
%-----------------------------------------------------------------------------

\def\mathfont#1 #2 #3 #4 #5 #6 #7{%
   \expandafter\font\csname ten#1\endcsname=#2#3   scaled #6%
   \expandafter\font\csname seven#1\endcsname=#2#4 scaled #6%
   \expandafter\font\csname five#1\endcsname=#2#5  scaled #6%
   \textfont#7=\csname ten#1\endcsname
   \scriptfont#7=\csname seven#1\endcsname
   \scriptscriptfont#7=\csname five#1\endcsname
}

\font \smc=cccsc10                      % petites capitales
\font \ssf=cmss10                       % sans serif
\font \bfsl=cmbxsl10                    % gras penche
\let  \bftt=\tentt                      % gras typewriter
\font \bfss=cmssbx10                    % gras sans serif
\font \sltt=cmsltt10                    % typewriter penche
\font \ssit=cmssi10                     % sans serif italique
\font\footlinefont = cmti10             % fonte de haut et bas de page
\font\lasy=lasy10 scaled 1200           % LateX symbol (guillemets)
\csname newfam\endcsname\msafam         % declare les fontes AMS
\chardef\msbfam=\bffam                  % Lettres a deux barres -> gras
\mathfont msa msam 10 7 5 1000 \msafam
\mathfont rm  ccr  10 7 5 1000 0%
\mathfont i   eurm 10 7 5 1000 1%
\font \tensl=ccsl10 \textfont\slfam=\tensl
\font \tenit=ccti10 \textfont\itfam=\tenit
\rm

\def\gros{\suitegros 10 7 5 1200        % agrandissement des fontes
          \font \bfsl=cmbxsl10 scaled 1200
          \font \bfss=cmssbx10 scaled 1200
          \font \sltt=cmsltt10 scaled 1200
          \font \smc =cccsc10  scaled 1200
          \font \lasy=lasy10   scaled 1440}
\def\Gros{\suitegros 10 7 5 1440
          \font \bfsl=cmbxsl10 scaled 1440
          \font \bfss=cmssbx10 scaled 1440
          \font \sltt=cmsltt10 scaled 1440
          \font \smc =cccsc10  scaled 1440
          \font \lasy=lasy10   scaled 1728}
\def\petit{\suitegros 10 7 5 800
          \font \bfsl=cmbxsl10 scaled 800
          \font \bfss=cmssbx10 scaled 800
          \font \sltt=cmsltt10 scaled 800
          \font \smc =cccsc10  scaled 800
          \font \lasy=lasy10              }
\def\suitegros#1 #2 #3 #4 {%
  \mathfont rm  ccr  #1 #2 #3 #4 0%
  \mathfont i   eurm #1 #2 #3 #4 1%
  \mathfont sy  cmsy #1 #2 #3 #4 2%
  \mathfont bf  cmbx #1 #2 #3 #4 \bffam
  \mathfont scr rsfs #1 #2 #3 #4 \scrfam
  \font \tentt=cmtt#1 scaled #4 \textfont\ttfam=\tentt
  \font \tensl=ccsl#1 scaled #4 \textfont\slfam=\tensl
  \font \tenit=ccti#1 scaled #4 \textfont\itfam=\tenit
  \font \ssf=cmss#1 scaled #4%
  \let  \bftt=\tentt
  \font \ssit=cmssi#1 scaled #4%
  \mathfont msa msam #1 #2 #3 #4 \msafam
  \textfont3=\tenex
  \scriptfont3=\tenex
  \scriptscriptfont3=\tenex
  \normallineskip=#1pt\multiply\normallineskip by #4\divide\normallineskip by 10000
  \normalbaselineskip=12\normallineskip
  \normallineskiplimit=\normallineskip
  \normalbaselines
  \rm
}
